Ellipsis APIReferenceConfigs

Get Agent Config

Return one saved agent config by id.

GET
/v1/configs/{config_id}

Return one saved agent config by id.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

config_id*Config Id

Header Parameters

user-agent?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/configs/string"
{  "agent_config": {    "budget": {},    "claude": {      "model": "claude-opus-5",      "system": ""    },    "codex": {      "model": "bedrock-gpt-5.6-terra",      "system": ""    },    "ellipsis": {      "enabled": true,      "ide": true,      "interactive": true,      "metadata": {        "annotations": {},        "labels": []      },      "version": "v1"    },    "llm": {},    "mcp_servers": [],    "sandbox": {      "compute": {},      "github": {},      "hooks": {},      "image": {},      "ports": [        3000,        5173,        8000,        8080      ],      "repositories": [],      "variables": []    },    "skills": [],    "structured_output": {      "json_schema": {},      "type": "json_schema"    },    "trigger": {      "schedule": "string",      "type": "cron"    }  },  "agent_config_source_details": {    "branch": "string",    "path": "string",    "repo_id": 0  },  "created_at": "2019-08-24T14:15:22Z",  "customer_id": "string",  "deleted": false,  "edited_by": {    "avatar_url": "string",    "id": 0,    "login": "string",    "type": "User"  },  "id": "string",  "is_pull_request_head_preview": false,  "last_agent_session_created_at": "2019-08-24T14:15:22Z",  "last_agent_session_id": "string",  "last_sync_error": "string",  "last_synced_commit_sha": "string",  "pending_pull_request_url": "string",  "updated_at": "2019-08-24T14:15:22Z"}